Commit db340241 authored by Matthew Waters's avatar Matthew Waters Committed by Tim-Philipp Müller

gl/pkg-config: don't advertise all our dependent libraries as deps

If an application/library explicitly needs a library, it needs to link
against it itself.
parent cec46fc7
......@@ -10,6 +10,6 @@ Description: Streaming media framework, OpenGL plugins libraries, uninstalled
Version: @VERSION@
Requires: gstreamer-base-@GST_API_VERSION@ gstreamer-@GST_API_VERSION@
Libs: -L${libdir} -lgstgl-@GST_API_VERSION@ @GL_LIBS@
Libs: -L${libdir} -lgstgl-@GST_API_VERSION@
Cflags: -I@abs_top_srcdir@/gst-libs -I@abs_top_builddir@/gst-libs
......@@ -9,5 +9,5 @@ Description: Streaming media framework, OpenGL plugins libraries
Version: @VERSION@
Requires: gstreamer-base-@GST_API_VERSION@ gstreamer-@GST_API_VERSION@
Libs: -L${libdir} -lgstgl-@GST_API_VERSION@ @GL_LIBS@
Libs: -L${libdir} -lgstgl-@GST_API_VERSION@
Cflags: -I${includedir} -I${libdir}/gstreamer-@GST_API_VERSION@/include @GL_CFLAGS@
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment